HomePhabricator

Install libLLVM if needed with LLVM_INSTALL_TOOLCHAIN_ONLY

Authored by dschuff on Sep 16 2016, 11:50 AM.

Description

Install libLLVM if needed with LLVM_INSTALL_TOOLCHAIN_ONLY

Summary:
When LLVM_LINK_LLVM_DYLIB is set, the libLLVM shared
library needs to be installed in the toolchain. Without
this chanage LLVM_INSTALL_TOOLCHAIN_ONLY combined with
LLVM_LINK_LLVM_DYLIB results in a broken install.

Patch by Sam Clegg

Differential Revision: https://reviews.llvm.org/D24676

llvm-svn: 281763

Details

Committed
dschuffSep 16 2016, 11:50 AM
Differential Revision
D24676: Install libLLVM if needed with LLVM_INSTALL_TOOLCHAIN_ONLY
Parents
rG2364748a49ec: Defer asm errors to post-statement failure
Branches
Unknown
Tags
Unknown